Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Mapper
Interface Mapper

All Known Implementing Classes:
  ContextFreeGrammar, GEGrammar, Grammar

    public interface Mapper

Interface for mapping input (genotype) to output (phenotype).

Author:
  EHemberg

Method Summary
`void` | `clear()` Clears the mapper by dereferencing the genotype and phenotype.
`boolean` | `genotype2Phenotype()` Maps from a input(genotype) to an output (phenotype)
`java.lang.Object` | `getGenotype()` Returns the mappers input (genotype)
`java.lang.Object` | `getPhenotype()` Returns the mappers output (phenotype)
`boolean` | `phenotype2Genotype()` Not yet implemented!
`void` | `setGenotype(java.lang.Object g)` Sets the input (genotype)
`void` | `setPhenotype(java.lang.Object p)` Sets the output(phenotype)

Method Detail

### genotype2Phenotype

    boolean genotype2Phenotype()

  Maps from a input(genotype) to an output (phenotype)

  Returns:
    Boolean denoting a successful (True) or failed (false) mapping.

### phenotype2Genotype

    boolean phenotype2Genotype()

  Not yet implemented!

  Returns:
    Boolean denoting a successful (True) or failed (false) mapping.

### clear

    void clear()

  Clears the mapper by dereferencing the genotype and phenotype. After this operation a mapper should be able to perform another mapping. The mapper may also need to reinitialse its internal state: eg clear derivation tree clear string buffers if they are used.

### getPhenotype

    java.lang.Object getPhenotype()

  Returns the mappers output (phenotype)

  Returns:
    output of the mapping

### getGenotype

    java.lang.Object getGenotype()

  Returns the mappers input (genotype)

  Returns:
    input of the mapper

### setPhenotype

    void setPhenotype(java.lang.Object p)

  Sets the output(phenotype)

  Parameters:
    `p` - output to set

### setGenotype

    void setGenotype(java.lang.Object g)

  Sets the input (genotype)

  Parameters:
    `g` - input to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD